- name: Install Configuration
  when: sshd_conf is defined
  copy:
    src: "files/{{ sshd_conf }}"
    dest: "{{ item }}"
    mode: 0644
    owner: root
    group: wheel
  notify: restart sshd
  loop:
    - /etc/ssh/sshd_config

- import_tasks: tasks/freebsd.yaml
  when: 'os_flavor == "freebsd"'

- import_tasks: tasks/linux.yaml
  when: 'os_flavor == "linux"'

- include_tasks:
    file: tasks/peruser.yaml
    apply:
      become: yes
      become_user: "{{ initialize_user }}"
  loop: "{{ users | dict2items | community.general.json_query('[?value.initialize==`true`].key') }}"
  loop_control:
    loop_var: initialize_user
